Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.model
Enum PropertyRefModel.DataType

    java.lang.Object
      java.lang.Enum<PropertyRefModel.DataType>
          com.bea.p13n.model.PropertyRefModel.DataType

All Implemented Interfaces
  Serializable, Comparable<PropertyRefModel.DataType>

Enclosing class:
  PropertyRefModel

    public static enum PropertyRefModel.DataType

extends Enum<PropertyRefModel.DataType>

The possible data types.

Enum Constant Summary
`BOOLEAN`
`DATETIME`
`DOUBLE`
`INTEGER`
`STRING`
`USER_DEFINED`

Method Summary
`static PropertyRefModel.DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropertyRefModel.DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOOLEAN

    public static final PropertyRefModel.DataType BOOLEAN

### STRING

    public static final PropertyRefModel.DataType STRING

### INTEGER

    public static final PropertyRefModel.DataType INTEGER

### DOUBLE

    public static final PropertyRefModel.DataType DOUBLE

### DATETIME

    public static final PropertyRefModel.DataType DATETIME

### USER_DEFINED

    public static final PropertyRefModel.DataType USER_DEFINED

Method Detail

### values

    public static final PropertyRefModel.DataType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static PropertyRefModel.DataType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.